1 [2] 3 >>> MLD-5.x / General / RPi4: docker installieren
 

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
docker installieren ?
« Reply #15 on: July 31, 2020, 07:33:09 »
Ich nehme die 5.5 stable, oder? Die anderen Zweige hatten glaube ich den Docker gar nicht dabei, ist das so?

Offline baltic

  • MLD-Debugger
  • Expert Member
  • *****
  • Posts: 567
    • View Profile
docker installieren ?
« Reply #16 on: July 31, 2020, 08:41:35 »
Die 5.5 gibt es derzeit nur als unstable.
Docker-Pakete sollten auch bei 5.4 existieren.
MLD 5.5 – unstable  Asus M3N78-EM  SkyStar2

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
docker installieren ?
« Reply #17 on: July 31, 2020, 09:42:37 »
So, nun hab ich das System noch mal neu installiert. Für den RPi4 geht das wohl nur mir der 5.5, glaube ich.
Ich habe ein angepaßtes Image erzeugt und den docker gleich mit reingebaut.

Die Fehlermeldung ist die gleiche:

Code: [Select]
MLD> docker run hello-world
docker: Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?.

Nun gibt es allerdings weder dockerd-ce noch dockerd auf dem System.
Habe dann über das webif docker-pt nochmal gelöscht und neu installiert, das brachte aber auch nichts, immer noch kein dockerd.

Sorry, wenn ich schon wieder so viel Mühe mache...  :'(

Wolf

Offline mafe68

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2344
  • Immer auf der Suche nach was neuem!
    • View Profile
    • Mediastreambox
docker installieren ?
« Reply #18 on: July 31, 2020, 10:29:25 »
Zeig mal was der Befehl ausgibt!
Code: [Select]
docker version
Gruß Mario
Meine Hardware (show / hide)

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
docker installieren ?
« Reply #19 on: July 31, 2020, 10:31:54 »
Code: [Select]
MLD> docker --version
Docker version 19.03.7, build 7141c19

Offline mafe68

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2344
  • Immer auf der Suche nach was neuem!
    • View Profile
    • Mediastreambox
docker installieren ?
« Reply #20 on: July 31, 2020, 10:38:16 »
Und was gibt der Befehl aus was ich dir geschrieben habe?

Was möchtest du mit Docker entgeltlich machen? Soll die MLD Entwicklung dort laufen oder nur das du andere Container bauen kannst?
« Last Edit: July 31, 2020, 10:43:11 by mafe68 »
Gruß Mario
Meine Hardware (show / hide)

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 18595
    • View Profile
    • ClausMuus.de
docker installieren ?
« Reply #21 on: July 31, 2020, 11:01:24 »
Ich hatte ganz übersehen, dass es um Docker für den RPI geht. Ich hatte nur das für den x86'er korrigiert, und dann beim einchecken zwei Dateien übersehen. Die fehlen deshalb bisher beim RPI. Und obendrein ist das RPI Paket sowieso erst seit heute Morgen neu.
In 15 Minuten wird's jetzt auch das korrigierte RPI docker Paket für die MLD-5.5 geben.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
docker installieren ?
« Reply #22 on: July 31, 2020, 11:02:31 »
Sorry, da hab ich reflexartig getippt... (;

Code: [Select]
MLD> docker version
Client: Docker Engine - Community
 Version:           19.03.7
 API version:       1.40
 Go version:        go1.12.17
 Git commit:        7141c19
 Built:             Wed Mar  4 01:56:07 2020
 OS/Arch:           linux/arm
 Experimental:      false
Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?

In dem docker soll mein Buchhaltungssystem laufen, das ist docker-basiert.

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 18595
    • View Profile
    • ClausMuus.de
RPi4: docker installieren
« Reply #23 on: July 31, 2020, 11:05:12 »
Ging doch schneller als erwartet. Das neue docker Paket ist jetzt online.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
RPi4: docker installieren
« Reply #24 on: July 31, 2020, 11:05:34 »
Muß es mal wieder loswerden:
Ich bewege mich in einigen Foren, die Erfahrungen damit sind im großen und ganzen sehr positiv.

Aber ich kenne kein so nettes und gleichzeitig kompetentes Forum wie das für den MLD !

DANKE Euch allen!

Offline mafe68

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2344
  • Immer auf der Suche nach was neuem!
    • View Profile
    • Mediastreambox
RPi4: docker installieren
« Reply #25 on: July 31, 2020, 11:14:03 »
Na dann teste mal das Paket das Claus jetzt gebaut hat! Habe hier keinen RPi 4 mit dem ich das Testen könnte. Bei mir läuft das in Proxmox auch Docker
Gruß Mario
Meine Hardware (show / hide)

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
RPi4: docker installieren
« Reply #26 on: July 31, 2020, 11:14:45 »
Code: [Select]
MLD> apt install docker
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 docker : Depends: libdevmapper1.02.1 (>= 1.02.155-~1) but it is not installable
E: Unable to correct problems, you have held broken packages.
MLD>

Da scheint noch eins der allseits beliebten Abhängigkeitsprobleme zu sein...
Die gleiche Meldung kam beim Versuch des updates.

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 18595
    • View Profile
    • ClausMuus.de
RPi4: docker installieren
« Reply #27 on: July 31, 2020, 15:42:55 »
Das Paket hatte ich zwar auch aktualisiert, aber versuch's jetzt noch mal. Ich hab's noch mal neu hochgeladen.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Online herrdeh

  • Adv. Member
  • ***
  • Posts: 130
    • View Profile
RPi4: docker installieren
« Reply #28 on: July 31, 2020, 20:38:11 »
Jetzt läßt sich der docker installieren und einen dockerd gibt es auch. Allerdings passiert - nach Neustart - folgendes:

Code: [Select]
MLD> docker run hello-world
docker: Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?.
See 'docker run --help'.
MLD> dockerd
INFO[2020-07-31T20:37:21.245654580+02:00] Starting up                                 
INFO[2020-07-31T20:37:21.262357442+02:00] libcontainerd: started new containerd process  pid=3652
INFO[2020-07-31T20:37:21.263120543+02:00] parsed scheme: "unix"                         module=grpc
INFO[2020-07-31T20:37:21.263351225+02:00] scheme "unix" not registered, fallback to default scheme  module=grpc
INFO[2020-07-31T20:37:21.263784146+02:00] ccResolverWrapper: sending update to cc: {[{unix:///var/run/docker/containerd/containerd.sock 0  <nil>}] <nil>}  module=grpc
INFO[2020-07-31T20:37:21.264010365+02:00] ClientConn switching balancer to "pick_first"  module=grpc
INFO[2020-07-31T20:37:21.475166179+02:00] starting containerd                           revision=7ad184331fa3e55e52b890ea95e65ba581ae3429 version=1.2.13
INFO[2020-07-31T20:37:21.478217048+02:00] loading plugin "io.containerd.content.v1.content"...  type=io.containerd.content.v1
INFO[2020-07-31T20:37:21.479140536+02:00] loading plugin "io.containerd.snapshotter.v1.btrfs"...  type=io.containerd.snapshotter.v1
INFO[2020-07-31T20:37:21.480603184+02:00] loading plugin "io.containerd.snapshotter.v1.aufs"...  type=io.containerd.snapshotter.v1
WARN[2020-07-31T20:37:21.524677716+02:00] failed to load plugin io.containerd.snapshotter.v1.aufs  error="modprobe aufs failed: "modprobe: module aufs not found in modules.dep\n": exit status 1"
INFO[2020-07-31T20:37:21.525283671+02:00] loading plugin "io.containerd.snapshotter.v1.native"...  type=io.containerd.snapshotter.v1
INFO[2020-07-31T20:37:21.525735073+02:00] loading plugin "io.containerd.snapshotter.v1.overlayfs"...  type=io.containerd.snapshotter.v1
INFO[2020-07-31T20:37:21.526601599+02:00] loading plugin "io.containerd.snapshotter.v1.zfs"...  type=io.containerd.snapshotter.v1
INFO[2020-07-31T20:37:21.528088469+02:00] skip loading plugin "io.containerd.snapshotter.v1.zfs"...  type=io.containerd.snapshotter.v1
INFO[2020-07-31T20:37:21.528258522+02:00] loading plugin "io.containerd.metadata.v1.bolt"...  type=io.containerd.metadata.v1
WARN[2020-07-31T20:37:21.528448501+02:00] could not use snapshotter zfs in metadata plugin  error="path /var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.zfs must be a zfs filesystem to be used with the zfs snapshotter: skip plugin"
WARN[2020-07-31T20:37:21.528580796+02:00] could not use snapshotter aufs in metadata plugin  error="modprobe aufs failed: "modprobe: module aufs not found in modules.dep\n": exit status 1"
INFO[2020-07-31T20:37:21.529483636+02:00] loading plugin "io.containerd.differ.v1.walking"...  type=io.containerd.differ.v1
INFO[2020-07-31T20:37:21.529678782+02:00] loading plugin "io.containerd.gc.v1.scheduler"...  type=io.containerd.gc.v1
INFO[2020-07-31T20:37:21.530022778+02:00] loading plugin "io.containerd.service.v1.containers-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.530176368+02:00] loading plugin "io.containerd.service.v1.content-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.531264762+02:00] loading plugin "io.containerd.service.v1.diff-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.531614350+02:00] loading plugin "io.containerd.service.v1.images-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.531998475+02:00] loading plugin "io.containerd.service.v1.leases-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.532362785+02:00] loading plugin "io.containerd.service.v1.namespaces-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.532710688+02:00] loading plugin "io.containerd.service.v1.snapshots-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.533037554+02:00] loading plugin "io.containerd.runtime.v1.linux"...  type=io.containerd.runtime.v1
INFO[2020-07-31T20:37:21.533865395+02:00] loading plugin "io.containerd.runtime.v2.task"...  type=io.containerd.runtime.v2
INFO[2020-07-31T20:37:21.534576127+02:00] loading plugin "io.containerd.monitor.v1.cgroups"...  type=io.containerd.monitor.v1
INFO[2020-07-31T20:37:21.538533540+02:00] loading plugin "io.containerd.service.v1.tasks-service"...  type=io.containerd.service.v1
INFO[2020-07-31T20:37:21.538902776+02:00] loading plugin "io.containerd.internal.v1.restart"...  type=io.containerd.internal.v1
INFO[2020-07-31T20:37:21.539278456+02:00] loading plugin "io.containerd.grpc.v1.containers"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.539418806+02:00] loading plugin "io.containerd.grpc.v1.content"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.539549990+02:00] loading plugin "io.containerd.grpc.v1.diff"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.539672285+02:00] loading plugin "io.containerd.grpc.v1.events"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.539792987+02:00] loading plugin "io.containerd.grpc.v1.healthcheck"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.539917448+02:00] loading plugin "io.containerd.grpc.v1.images"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.540040484+02:00] loading plugin "io.containerd.grpc.v1.leases"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.540160593+02:00] loading plugin "io.containerd.grpc.v1.namespaces"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.540279814+02:00] loading plugin "io.containerd.internal.v1.opt"...  type=io.containerd.internal.v1
INFO[2020-07-31T20:37:21.540602476+02:00] loading plugin "io.containerd.grpc.v1.snapshots"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.540746826+02:00] loading plugin "io.containerd.grpc.v1.tasks"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.540873492+02:00] loading plugin "io.containerd.grpc.v1.version"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.541042489+02:00] loading plugin "io.containerd.grpc.v1.introspection"...  type=io.containerd.grpc.v1
INFO[2020-07-31T20:37:21.542639543+02:00] serving...                                    address="/var/run/docker/containerd/containerd-debug.sock"
INFO[2020-07-31T20:37:21.543006113+02:00] serving...                                    address="/var/run/docker/containerd/containerd.sock"
INFO[2020-07-31T20:37:21.543172944+02:00] containerd successfully booted in 0.070919s 
INFO[2020-07-31T20:37:21.590236956+02:00] parsed scheme: "unix"                         module=grpc
INFO[2020-07-31T20:37:21.590478601+02:00] scheme "unix" not registered, fallback to default scheme  module=grpc
INFO[2020-07-31T20:37:21.590639507+02:00] ccResolverWrapper: sending update to cc: {[{unix:///var/run/docker/containerd/containerd.sock 0  <nil>}] <nil>}  module=grpc
INFO[2020-07-31T20:37:21.590961428+02:00] ClientConn switching balancer to "pick_first"  module=grpc
INFO[2020-07-31T20:37:21.595541815+02:00] parsed scheme: "unix"                         module=grpc
INFO[2020-07-31T20:37:21.595690387+02:00] scheme "unix" not registered, fallback to default scheme  module=grpc
INFO[2020-07-31T20:37:21.595859403+02:00] ccResolverWrapper: sending update to cc: {[{unix:///var/run/docker/containerd/containerd.sock 0  <nil>}] <nil>}  module=grpc
INFO[2020-07-31T20:37:21.596027920+02:00] ClientConn switching balancer to "pick_first"  module=grpc
WARN[2020-07-31T20:37:21.732254539+02:00] Your kernel does not support cgroup memory limit
WARN[2020-07-31T20:37:21.732464277+02:00] Your kernel does not support cgroup cfs period
WARN[2020-07-31T20:37:21.732607516+02:00] Your kernel does not support cgroup cfs quotas
WARN[2020-07-31T20:37:21.732805569+02:00] Your kernel does not support cgroup rt period
WARN[2020-07-31T20:37:21.732964289+02:00] Your kernel does not support cgroup rt runtime
WARN[2020-07-31T20:37:21.733358747+02:00] Your kernel does not support cgroup blkio weight
WARN[2020-07-31T20:37:21.733626077+02:00] Your kernel does not support cgroup blkio weight_device
INFO[2020-07-31T20:37:21.735440239+02:00] Loading containers: start.                   
WARN[2020-07-31T20:37:21.737823523+02:00] Failed to find iptables: exec: "iptables": executable file not found in $PATH
INFO[2020-07-31T20:37:21.747129164+02:00] stopping event stream following graceful shutdown  error="<nil>" module=libcontainerd namespace=moby
INFO[2020-07-31T20:37:21.749375339+02:00] stopping healthcheck following graceful shutdown  module=libcontainerd
INFO[2020-07-31T20:37:21.749876055+02:00] stopping event stream following graceful shutdown  error="context canceled" module=libcontainerd namespace=plugins.moby
failed to start daemon: Error initializing network controller: error obtaining controller instance: failed to create NAT chain DOCKER: Iptables not found

Offline gr4vity

  • Profi Member
  • ****
  • Posts: 315
    • View Profile
RPi4: docker installieren
« Reply #29 on: July 31, 2020, 20:58:29 »
Code: [Select]
apt install iptables

1 [2] 3 >>> MLD-5.x / General / RPi4: docker installieren
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.